# SLAB_SAMPLING

Section can be repeated.

Specifies the parameter for sampling the RESP fitting points for slab-like periodic systems, i.e. systems that involve surfaces. This section can only be used with periodic Poisson solver and cell. To see, which grid points were used, switch on COORD_FIT_POINTS in the PRINT section. [Edit on GitHub]

## Keywords

- ATOM_LIST

- LENGTH

- RANGE

- SURF_DIRECTION

## Keyword descriptions

ATOM_LIST: integer[ ]

  Keyword can be repeated.

  Usage: ATOM_LIST 1 2 3 or 1..3

  Mentions: ⭐RESP Charges

  Specifies the list of indexes of atoms used to define the region for the RESP fitting. The list should contain indexes of atoms of the first surface layer. [Edit on GitHub]

LENGTH: real = 3.00000000E+000 [angstrom]

  Usage: LENGTH <real>

  Mentions: ⭐RESP Charges

  Length of the sampling box, i.e. a box of this length and the height specified by RANGE is defined above each surface atom given in ATOM_LIST. The grid points in the boxes are accepted as fitting point. Should be in the range of the nearest neighbour distance (a bit larger to be on the safe side). Allows for a refined sampling of grid points in case of corrugated surfaces. [Edit on GitHub]

RANGE: real[2] = [angstrom]

  Usage: RANGE <real> <real>

  Mentions: ⭐RESP Charges

  Range where the fitting points are sampled. A range of 3 to 5 Angstroms means that the fitting points are sampled in the region of 3 to 5 Angstroms above the surface which is defined by atom indexes given in ATOM_LIST. [Edit on GitHub]

SURF_DIRECTION: enum = Z

  Usage: SURF_DIRECTION Z

  Valid values:

  - `X` surface layers are piled up in x-direction

  - `Y` surface layers are piled up in y-direction

  - `Z` surface layers are piled up in z-direction

  - `-X` surface layers are piled up in -x-direction

  - `-Y` surface layers are piled up in -y-direction

  - `-Z` surface layers are piled up in -z-direction

  Mentions: ⭐RESP Charges

  Specifies what above the surface means. Defines the direction. [Edit on GitHub]